#!/bin/ksh

DEPOT=$1
CC=$2
PPPP=$3
VVV=$4

#BASE=$DEPOT/$CC/$VVV/unix/$CC$PPPP
BASE=$DEPOT/$CC/$VVV
BUNIX=$BASE/unix
BPLUGIN=$BASE/InstallITM/plugin/plugins
CIPLUGIN=$DEPOT/ci/InstallITM/plugin/plugins
CIUNIX=$DEPOT/ci/unix
CCPPPP=$CC$PPPP

EXT=jar

UPC=$(print $CC | tr '[a-z]' '[A-Z]')
FILEEXT=$CCPPPP.$EXT
FILETXT=$CCPPPP.txt
FILETMS="K${UPC}JSTMS.jar"
FILETPS="K${UPC}JSTPS.jar"
FILETPW="K${UPC}JSTPW.jar"
FILESUPPORT="K${UPC}MSMAN.txt"

if [[ -d "$BPLUGIN" ]]; then
   mkdir -p $CIPLUGIN
   for var in `cd $BPLUGIN; ls`
   do
      rm -f $CIPLUGIN/$var
      cp $BPLUGIN/$var $CIPLUGIN/$var
   done
fi

cd $CIUNIX

LIST="$FILEEXT $FILETXT $FILESUPPORT $FILETMS $FILETPS $FILETPW"
if [[ "$CC" = ud && "$PPPP" = *6 ]] || [[ "$CC" = @(mc|mq|qi|lz|gs|jr|tf|t3|t4|t5|t6|m6) ]]; then
   if [[ -d "$BUNIX" ]]; then
      LIST=`cd $BUNIX; ls`
   else
      LIST=""
   fi
fi

for var in $LIST
do
if [[ -f "$BUNIX/$var" ]]; then
	rm -f $var
	ln -fs $BUNIX/$var $var
	[[ $? -ne 0 ]] && exit 1
fi
if [[ -d "$BUNIX/$var" ]]; then
	DLIST=`cd $BUNIX/$var; ls` 	
        if [ -n "$DLIST" ]; then
           if [ ! -d $var ]; then
	      mkdir $var
	      [[ $? -ne 0 ]] && exit 1	
           fi
	   cd $var
	   [[ $? -ne 0 ]] && exit 1	
        fi 
	for dvar in $DLIST
	do	   
	   if [[ -f "$BUNIX/$var/$dvar" ]] || [[ -d "$BUNIX/$var/$dvar" ]]; then
	      rm -f $dvar
	      ln -fs $BUNIX/$var/$dvar $dvar
	      [[ $? -ne 0 ]] && exit 1	
	   fi
	done
        cd $CIUNIX
fi
done

exit 0
